mp4AudioSpecificConfig Struct Reference

`#include <neaacdec.h>`

## Public Attributes

unsigned char | objectTypeIndex
unsigned char | samplingFrequencyIndex
unsigned long | samplingFrequency
unsigned char | channelsConfiguration
unsigned char | frameLengthFlag
unsigned char | dependsOnCoreCoder
unsigned short | coreCoderDelay
unsigned char | extensionFlag
unsigned char | aacSectionDataResilienceFlag
unsigned char | aacScalefactorDataResilienceFlag
unsigned char | aacSpectralDataResilienceFlag
unsigned char | epConfig
char | sbr_present_flag
char | forceUpSampling
char | downSampledSBR

## Member Data Documentation

## aacScalefactorDataResilienceFlag

unsigned char mp4AudioSpecificConfig::aacScalefactorDataResilienceFlag

## aacSectionDataResilienceFlag

unsigned char mp4AudioSpecificConfig::aacSectionDataResilienceFlag

## aacSpectralDataResilienceFlag

unsigned char mp4AudioSpecificConfig::aacSpectralDataResilienceFlag

## channelsConfiguration

unsigned char mp4AudioSpecificConfig::channelsConfiguration

## coreCoderDelay

unsigned short mp4AudioSpecificConfig::coreCoderDelay

## dependsOnCoreCoder

unsigned char mp4AudioSpecificConfig::dependsOnCoreCoder

## downSampledSBR

char mp4AudioSpecificConfig::downSampledSBR

## epConfig

unsigned char mp4AudioSpecificConfig::epConfig

## extensionFlag

unsigned char mp4AudioSpecificConfig::extensionFlag

## forceUpSampling

char mp4AudioSpecificConfig::forceUpSampling

## frameLengthFlag

unsigned char mp4AudioSpecificConfig::frameLengthFlag

## objectTypeIndex

unsigned char mp4AudioSpecificConfig::objectTypeIndex

## samplingFrequency

unsigned long mp4AudioSpecificConfig::samplingFrequency

## samplingFrequencyIndex

unsigned char mp4AudioSpecificConfig::samplingFrequencyIndex

## sbr_present_flag

char mp4AudioSpecificConfig::sbr_present_flag

The documentation for this struct was generated from the following file:

- neaacdec.h